<div class="btnContainer">
  <a class="button" routerLink="/square">На главную</a>
</div>
<div class="formContainer">
  <form class="formContainer__form" [formGroup]="httpForm" (submit)="onSubmit()">
    <input class="formInputField" name="" formControlName="method" placeholder="Введите название метода">
    <div class="alertMessage" *ngIf="httpForm.get('method').invalid && httpForm.get('method').touched">Введите
      правильное название метода.<br>Используйте только латинские символы
    </div>
    <div class="selectYears">
      <div class="selectYears__chosed" (click)="toggleSelect()">
        <span class="chosedItm">{{typeOfRequest}}</span>
        <span><i class="fa fa-angle-down" aria-hidden="true"></i></span>
      </div>
      <div class="selectYears__itm hidden" (click)="setMethod($event)">GET</div>
      <div class="selectYears__itm hidden" (click)="setMethod($event)">POST</div>
      <div class="alertMessage" id="selectIdMessage"
           *ngIf="typeOfRequest === 'Выберите метод отправки запроса' && !select.classList.contains('focused') && isSelectTouched">
        Выберите тип запроса
      </div>
    </div>
    <div class="jsonContainer">
      <textarea class="pagesText jsonText" name="someNameOfTextArea" placeholder="Введите JSON"
                formControlName="jsonField"></textarea>
      <textarea class="pagesText jsonText" name="someNameOfTextArea" placeholder="Вывод"
                formControlName="getJsonField"></textarea>
      <textarea class="pagesText jsonText" name="someNameOfTextArea" placeholder="Результаты" formControlName="getResultsField"></textarea>
    </div>
    <div class="alertMessage" *ngIf="httpForm.get('jsonField').invalid && httpForm.get('jsonField').touched">Введите корректный JSON!</div>
    <div class="errorMessage" *ngIf="isError">Ошибка!</div>
    <div class="btnContainer">
      <button class="button">Отправить</button>
    </div>
  </form>
</div>
